# PList< T >::iterator Class Reference

`#include <lists.h>`

Inheritance diagram for PList< T >::iterator:

List of all members.

## Public Member Functions

| iterator (PListElement *e=NULL)
iterator | operator++ ()
iterator | operator-- ()
iterator | operator++ (int)
iterator | operator-- (int)
T * | operator-> () const
T & | operator * () const

### template<class T>
class PList< T >::iterator

## Constructor & Destructor Documentation

template<class T>

PList< T >::iterator::iterator | ( | PListElement * | e = `NULL` | ) | `[inline]`

## Member Function Documentation

template<class T>

T& PList< T >::iterator::operator * | ( |  | ) | const`[inline]`

template<class T>

iterator PList< T >::iterator::operator++ | ( | int |  | ) | `[inline]`

template<class T>

iterator PList< T >::iterator::operator++ | ( |  | ) | `[inline]`

template<class T>

iterator PList< T >::iterator::operator-- | ( | int |  | ) | `[inline]`

template<class T>

iterator PList< T >::iterator::operator-- | ( |  | ) | `[inline]`

template<class T>

T* PList< T >::iterator::operator-> | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- lists.h